
Redmine - Defect #11072

error 500 when issue description is more than 2048 caracters on redmine 2.0.0

2012-06-01 14:32 - Antoine de pierrefeu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

the application display an error 500 when the issue description is more than 2048 car

redmine :

Environment:

Redmine version                          2.0.0.stable.9706

Ruby version                             1.8.7 (i686-linux)

Rails version                            3.2.3

Environment                              production

Database adapter                         MySQL

Redmine plugins:

no plugin installed

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.7

Rack version              1.4

Rails version             3.2.3

Active Record version     3.2.3

Action Pack version       3.2.3

Active Resource version   3.2.3

Action Mailer version     3.2.3

Active Support version    3.2.3

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0xb119328>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /var/www/railsapp

Environment               production

Database adapter          mysql

Database schema version   20120422150750

History

#1 - 2012-06-01 15:38 - Etienne Massip

What's in your production.log file?

#2 - 2012-06-01 15:47 - Etienne Massip

- Category set to Issues

- Priority changed from Urgent to Normal

#3 - 2012-06-01 15:51 - Antoine de pierrefeu

here is the production.log file:

OpenIdAuthentication.store is nil. Using in-memory store.

Creating scope :open. Overwriting existing method Version.open.

Creating scope :active. Overwriting existing method User.active.

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included automatically. Please define
instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called from include at

/var/www/railsapp/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included automatically. Please define

instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called from include at

/var/www/railsapp/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

Creating scope :open. Overwriting existing method Issue.open.

#4 - 2012-06-01 19:51 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#5 - 2012-06-01 19:57 - Jean-Philippe Lang

If you don't find any error in the Redmine log, then you should try to see who is actually returning the 500 error.

#6 - 2012-06-18 11:13 - Nothing Ctrl

I had the same error need restart service:

production.log from line 16603  to 16623

Started GET

"/redmine/projects/bo-phan-dvkh/issues/gantt?f%5B%5D=status_id&f%5B%5D=category_id&f%5B%5D=&month=6&months=6&op%5Bcategory

_id%5D=%3D&op

5Bstatus_id%5D=o&set_filter=1&utf8=

E2%9C%93&v%5Bcategory_id%5D%5B%5D=272&year=2012&zoom=3" for 127.0.0.1 at Mon Jun 18 13:43:19 +0700 2012

Processing by GanttsController#show as HTML

Parameters: {"set_filter"=>"1", "month"=>"6", "op"=>{"status_id"=>"o", "category_id"=>"="}, "months"=>"6", "project_id"=>"bo-phan-dvkh",

"zoom"=>"3", "v"=>{"category_id"=>["272"]}, "f"=>["status_id", "category_id", ""], "year"=>"2012", "utf8"=>"✓"}

Rendered queries/_filters.html.erb (31.3ms)

Rendered issues/_sidebar.html.erb (171.9ms)

Rendered gantts/show.html.erb within layouts/base (359.4ms)

Completed 200 OK in 594ms (Views: 187.5ms | ActiveRecord: 375.0ms)

Connecting to database specified by database.yml

Connecting to database specified by database.yml

OpenIdAuthentication.store is nil. Using in-memory store.

OpenIdAuthentication.store is nil. Using in-memory store.

Creating scope :open. Overwriting existing method Version.open.

Creating scope :active. Overwriting existing method User.active.

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included automatically. Please define

instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called from include at

C:/Bitnami-2.0.2.0/apps/redmine/htdocs/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

Creating scope :active. Overwriting existing method User.active.

Creating scope :open. Overwriting existing method Version.open.

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included automatically. Please define

instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called from include at

C:/Bitnami-2.0.2.0/apps/redmine/htdocs/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included automatically. Please define

instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called from include at

C:/Bitnami-2.0.2.0/apps/redmine/htdocs/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

Creating scope :open. Overwriting existing method Issue.open.

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included automatically. Please define

instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called from include at

C:/Bitnami-2.0.2.0/apps/redmine/htdocs/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

Creating scope :open. Overwriting existing method Issue.open.

 Download product.log: http://www.mediafire.com/?uatt8f23vbfbv9v

I use Redmine version 2.0.2.0 install by Bitnami.

#7 - 2012-06-18 11:50 - Antoine de pierrefeu

- Status changed from New to Resolved

I had a look in var/log/apache2, saw an authority problem on the folder:/var/www/railsapp/tmp, so I've changed the authority and that fix the problem...

#8 - 2012-06-18 17:15 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid

OK, thanks for the feedback.
#9 - 2012-06-27 09:46 - Brant Yuan

How do you fix?My OS is CentOS,there isn't apache in /var/log and tmp folder.
